Bug 246895 - Initscript Review - cpuspeed
Initscript Review - cpuspeed
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
Reported: 2007-07-05 09:48 EDT by Harald Hoyer
Modified: 2009-06-19 09:47 EDT (History)
0 users

See Also:
Fixed In Version: 1.5-8.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-10 17:08:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:48:37 EDT
Please have a look at the wikipage 
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Jarod Wilson 2008-02-26 12:41:34 EST
Setting to NEEDINFO, mostly just to get it the heck out of my default bugzilla
query until someone figures out what we're actually doing on this front (if
Comment 2 Bug Zapper 2008-05-13 23:01:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Jarod Wilson 2008-06-09 14:02:48 EDT
Nggh. Stupid bug zapper...
Comment 4 Bug Zapper 2009-06-09 18:41:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Jarod Wilson 2009-06-10 15:31:38 EDT
Moving forward...
Comment 6 Jarod Wilson 2009-06-10 17:08:18 EDT
Should be pretty much LSB compliant now. If not, yell. Or open a new bug. Or despair. In any case, closing this one.
Comment 7 Fedora Update System 2009-06-18 00:27:44 EDT
cpuspeed-1.5-8.fc11 has been submitted as an update for Fedora 11.
Comment 8 Fedora Update System 2009-06-19 09:47:07 EDT
cpuspeed-1.5-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.